/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-10-11
 * 描述            ：工器具-刀片修磨记录
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Dev.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Dev.mapper.DevBladeGrindingMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="DEV_BLADE_GRINDING", namespace=DevBladeGrindingMapper.class)
public class DevBladeGrinding extends BaseVO implements Serializable {
	
	//内径
	private Double dbi_dia_inner;
	
	public Double getDbi_dia_inner() {
		return dbi_dia_inner;
	}
	public void setDbi_dia_inner(Double dbi_dia_inner) {
		this.dbi_dia_inner = dbi_dia_inner;
	}
	
	
	private Long acm_use_times;
	public Long getAcm_use_times() {
		return acm_use_times;
	}
	public void setAcm_use_times(Long acm_use_times) {
		this.acm_use_times = acm_use_times;
	}
	
	
	/** 
	 * 修磨记录号
	 */ 
	@Id
	private String serial_no;
	public String getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(String serial_no) {
		this.serial_no = serial_no;
	}

	/** 
	 * 机台代码
	 */ 
	@Column
	private String machine_code;
	public String getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	/** 
	 * 分组代码
	 */ 
	@Column
	private String grp_code;
	public String getGrp_code() {
		return this.grp_code;
	}
	public void setGrp_code(String grp_code) {
		this.grp_code = grp_code;
	}

	/** 
	 * 分组名称
	 */ 
	@Column
	private String grp_name;
	public String getGrp_name() {
		return this.grp_name;
	}
	public void setGrp_name(String grp_name) {
		this.grp_name = grp_name;
	}

	/** 
	 * 修磨序号（次数，1 - N）
	 */ 
	@Column
	private Long grd_sqc;
	public Long getGrd_sqc() {
		return this.grd_sqc;
	}
	public void setGrd_sqc(Long grd_sqc) {
		this.grd_sqc = grd_sqc;
	}

	/** 
	 * 送修日期
	 */ 
	@Column
	private String str_date;
	public String getStr_date() {
		return this.str_date;
	}
	public void setStr_date(String str_date) {
		this.str_date = str_date;
	}

	/** 
	 * 返回日期
	 */ 
	@Column
	private String rtn_date;
	public String getRtn_date() {
		return this.rtn_date;
	}
	public void setRtn_date(String rtn_date) {
		this.rtn_date = rtn_date;
	}

	/** 
	 * 修磨后外径
	 */ 
	@Column
	private Double dia_outer_aft;
	public Double getDia_outer_aft() {
		return this.dia_outer_aft;
	}
	public void setDia_outer_aft(Double dia_outer_aft) {
		this.dia_outer_aft = dia_outer_aft;
	}

	/** 
	 * 磨削量（此次修磨刀片磨削量最大值）
	 */ 
	@Column
	private Double grd_thick;
	public Double getGrd_thick() {
		return this.grd_thick;
	}
	public void setGrd_thick(Double grd_thick) {
		this.grd_thick = grd_thick;
	}

	/** 
	 * 鉴定结果（1：合格、0：不合格）
	 */ 
	@Column
	private String check_result;
	public String getCheck_result() {
		return this.check_result;
	}
	public void setCheck_result(String check_result) {
		this.check_result = check_result;
	}

	/** 
	 * 鉴定人
	 */ 
	@Column
	private String check_opr;
	public String getCheck_opr() {
		return this.check_opr;
	}
	public void setCheck_opr(String check_opr) {
		this.check_opr = check_opr;
	}

	/** 
	 * 处置完毕（1：是、0：否）
	 */ 
	@Column
	private String disposal_done;
	public String getDisposal_done() {
		return this.disposal_done;
	}
	public void setDisposal_done(String disposal_done) {
		this.disposal_done = disposal_done;
	}

	/** 
	 * 最终处置结果（0：可用、1：重修、9：报废）
	 */ 
	@Column
	private String disposal_result;
	public String getDisposal_result() {
		return this.disposal_result;
	}
	public void setDisposal_result(String disposal_result) {
		this.disposal_result = disposal_result;
	}

	/** 
	 * 修磨费用
	 */ 
	@Column
	private Double amount_grd;
	public Double getAmount_grd() {
		return this.amount_grd;
	}
	public void setAmount_grd(Double amount_grd) {
		this.amount_grd = amount_grd;
	}

	/** 
	 * 赔偿金额（修磨厂家提供赔偿）
	 */ 
	@Column
	private Double amount_cps;
	public Double getAmount_cps() {
		return this.amount_cps;
	}
	public void setAmount_cps(Double amount_cps) {
		this.amount_cps = amount_cps;
	}

	/** 
	 * 折算成本（此次修磨刀片折算成本之和）
	 * 折算成本（(金额 - 残值) * (修磨前外径 - 修磨后外径) / (原始外径 - 报废外径)）
	 */ 
	@Column
	private Double converted_cost;
	public Double getConverted_cost() {
		return this.converted_cost;
	}
	public void setConverted_cost(Double converted_cost) {
		this.converted_cost = converted_cost;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 操作人
	 */ 
	@Column
	private String create_opr;
	public String getCreate_opr() {
		return this.create_opr;
	}
	public void setCreate_opr(String create_opr) {
		this.create_opr = create_opr;
	}

	/** 
	 * 操作时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_opr;
	public String getUpdate_opr() {
		return this.update_opr;
	}
	public void setUpdate_opr(String update_opr) {
		this.update_opr = update_opr;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

}
